- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Returns the specified DhcpOptionsConfig resource in the given location.
HTTP request
GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/dhcpOptionsConfigs/{dhcpOptionsConfig} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
region |
Name of the region of this request. |
dhcpOptionsConfig |
Name of the DhcpOptionsConfig resource to return. |
Request body
The request body must be empty.
Response body
A standalone, regional API resource that encapsulates a set of user-defined DHCP configurations.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "region": string, "leaseTimeSec": string, "domainName": string, "dnsSearchPaths": [ string ], "ntpServerIpv4Addresses": [ string ], "ntpServerIpv6Addresses": [ string ], "tftpServerIpv4Name": string, "tftpServerIpv4Addresses": [ string ], "bootFileIpv4Name": string, "bootFileIpv6Url": string, "bootFileIpv6Parameters": [ string ], "associations": { string: { "network": string, "networkId": string, "state": enum }, ... } } |
| Fields | |
|---|---|
kind |
Output only. Type of the resource. Always |
id |
Output only. The unique identifier for the resource type. The server generates this identifier. |
creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
name |
Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression |
description |
An optional description of this resource. Provide this property when you create the resource. |
selfLink |
Output only. Server-defined URL for the resource. |
region |
Output only. URL of the region where the resource resides. |
leaseTimeSec |
The duration, in seconds, of the IPv4 address lease offered by the DHCP server to the client VM guest OS. Corresponds to DHCPv4 Option 51. |
domainName |
The domain name that the client VM guest OS should use when resolving hostnames via DNS (e.g., 'example.com'). It defines the default domain suffix for the client. Corresponds to DHCPv4 Option 15. |
dnsSearchPaths[] |
An ordered list of domain suffixes (search paths) that the client VM guest OS should append to resolve hostnames that are not fully qualified. Applies to both DHCPv4 Option 119 and DHCPv6 Option 24. |
ntpServerIpv4Addresses[] |
An ordered list of IPv4 addresses of Network Time Protocol (NTP) servers available to the client VM guest OS for system clock synchronization, listed in order of preference. Corresponds to DHCPv4 Option 42. |
ntpServerIpv6Addresses[] |
An ordered list of IPv6 addresses of Network Time Protocol (NTP) servers available to the client VM guest OS for system clock synchronization. Corresponds to DHCPv6 Option 56. |
tftpServerIpv4Name |
The hostname or IP address of the Trivial File Transfer Protocol (TFTP) server from which the client VM guest OS can download boot files. Typically used in network booting (PXE) when the standard DHCP header 'sname' field is overloaded. Corresponds to DHCPv4 Option 66. |
tftpServerIpv4Addresses[] |
An ordered list of one or more IPv4 addresses of TFTP servers. Provides server redundancy and failover support, and is generally prioritized by clients over the single hostname specified in Option 66. Corresponds to DHCPv4 Option 150. |
bootFileIpv4Name |
The file path and name of the boot image/file on the TFTP server that the client VM guest OS should download and execute during network boot. Used when the standard DHCP header 'file' field is overloaded. Corresponds to DHCPv4 Option 67. |
bootFileIpv6Url |
The Uniform Resource Locator (URL) specifying the protocol, server address, and file path of the boot file that the client VM guest OS should download and execute for network boot (e.g., 'tftp://[2001:db8::1]/bootx64.efi' or 'http://[2001:db8::1]/boot.img'). Corresponds to DHCPv6 Option 59. |
bootFileIpv6Parameters[] |
A list of UTF-8 encoded parameter strings to be passed as arguments to the bootloader program or OS kernel after downloading the boot file. Corresponds to DHCPv6 Option 60. |
associations[] |
Mapping of user-defined keys to DhcpOptionsConfig to Network associations. |
associations[].network |
Required. The target network this DHCP option is attached to. You can specify this as a full or partial URL. For example, the following are all valid URLs:
|
associations[].networkId |
Output only. The server-defined ID of the associated Network. |
associations[].state |
Output only. State of the association. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/compute.readonly
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.dhcpOptionsConfigs.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.